Skip to content
Proud to collaborate with Microsoft for Startups

argocd.applicationset.list ​

List returns list of applicationset

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-argocd
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
projectslistNo—the project names to restrict returned list applicationsets.
selectorstringNo—the selector to restrict returned list to applications only with matched labels.
appsetnamespacestringNo—The application set namespace. Default empty is argocd control plane namespace.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
projectslistNo—the project names to restrict returned list applicationsets.
selectorstringNo—the selector to restrict returned list to applications only with matched labels.
appsetnamespacestringNo—The application set namespace. Default empty is argocd control plane namespace.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /api/v1/applicationsets
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /api/v1/applicationsets
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "argocd.applicationset.list",
  "initial_data": {
    "base_url": "value"
  }
}